Subject: Re: [Idr] I-D Action: draft-ietf-idr-rfc7752bis-07.txt

From: tom petch <[email-masked]>
Date: Thu, 8 Jul 2021 11:13:08 +0000

From: Idr <[email-masked]> on behalf of Ketan Talaulikar (ketant) <ketant=[email-masked]>
Sent: 21 June 2021 16:55

Hi All,

This update is to pull in the updated text related to IANA considerations and updates since posting of RFC9029.

<tp>
I am confused.

The Abstract says 
"This document obsoletes RFC 7752 by completely replacing that document."
which seems clear, but when I get to the IANA Considerations, there are multitudinous references to this (obsolete) RFC7752.  If RFC7752 is really obsoleted, then it should not be in the IANA Registry; alternatively, if the IANA Registry needs RFC7752, then RFC7752 should not be obsolete.

Thoughts?

Tom Petch 

Thanks,
Ketan

-----Original Message-----
From: Idr <[email-masked]> On Behalf Of [email-masked]
Sent: 21 June 2021 21:23
To: [email-masked]
Cc: [email-masked]

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Inter-Domain Routing WG of the IETF.

        Title           : Distribution of Link-State and Traffic Engineering Information Using BGP
        Author          : Ketan Talaulikar
        Filename        : draft-ietf-idr-rfc7752bis-07.txt
        Pages           : 63
        Date            : 2021-06-21

Abstract:
   In a number of environments, a component external to a network is
   called upon to perform computations based on the network topology and
   the current state of the connections within the network, including
   Traffic Engineering (TE) information.  This is information typically
   distributed by IGP routing protocols within the network.

   This document describes a mechanism by which link-state and TE
   information can be collected from networks and shared with external
   components using the BGP routing protocol.  This is achieved using a
   new BGP Network Layer Reachability Information (NLRI) encoding
   format.  The mechanism is applicable to physical and virtual IGP
   links.  The mechanism described is subject to policy control.

   Applications of this technique include Application-Layer Traffic
   Optimization (ALTO) servers and Path Computation Elements (PCEs).

   This document obsoletes RFC 7752 by completely replacing that
   document.  It makes some small changes and clarifications to the
   previous specification.  This document also obsoletes RFC 9029 by
   incorporating the updates which it made to RFC 7752.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-idr-rfc7752bis/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-idr-rfc7752bis-07

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-idr-rfc7752bis-07

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr

_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Thu, 8 Jul 2021 12:59:05 +0000

Hi Tom,

I was under the (wrong?) impression that it was required to leave the trail of RFCs in the IANA registry. Having checked a few other bis documents that obsoleted others, it does indeed look like the new document simply replaces the old references in the IANA registry.

If this can be confirmed, then I will remove the references to RFC7752 from the IANA registration related text.

Thanks,
Ketan

-----Original Message-----
From: tom petch <[email-masked]> 
Sent: 08 July 2021 16:43
To: Ketan Talaulikar (ketant) <[email-masked]>; [email-masked]
Subject: Re: [Idr] I-D Action: draft-ietf-idr-rfc7752bis-07.txt

Hi All,

<tp>
I am confused.

The Abstract says 

Thoughts?

Tom Petch 

Thanks,
Ketan

-----Original Message-----
From: Idr <[email-masked]> On Behalf Of [email-masked]
Sent: 21 June 2021 21:23
To: [email-masked]
Cc: [email-masked]

Abstract:

---

From: tom petch <[email-masked]>
Date: Thu, 8 Jul 2021 15:41:06 +0000

From: Ketan Talaulikar (ketant) <[email-masked]>
Sent: 08 July 2021 13:59

Hi Tom,

<tp>
Ketan

That is what I would expect.  7752bis  clearly points back to RFC7752 so the audit trail is there for any who wants to to follow.

The exception would be if 7752bis is not a complete replacement, if data has not been carried forward to it.  I have yet to check this but I got burnt this week with IPFIX where  RFC7012 obsoletes RFC5102 except that the useful technical information was not carried across so the IANA Registry points to the obsolete RFC5102 which looks wrong but is right; I do not see that here.

Tom Petch

Thanks,
Ketan

-----Original Message-----
From: tom petch <[email-masked]>
Sent: 08 July 2021 16:43
To: Ketan Talaulikar (ketant) <[email-masked]>; [email-masked]
Subject: Re: [Idr] I-D Action: draft-ietf-idr-rfc7752bis-07.txt

Hi All,

<tp>
I am confused.

The Abstract says

Thoughts?

Tom Petch

Thanks,
Ketan

-----Original Message-----
From: Idr <[email-masked]> On Behalf Of [email-masked]
Sent: 21 June 2021 21:23
To: [email-masked]
Cc: [email-masked]

Abstract:

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 9 Jul 2021 07:47:28 +0000

Hi Tom,

I can confirm that RFC7752bis is a complete replacement for RFC7752. So it seems like RFC7752bis should replace all reference to RFC7752 in IANA registries with "this document".

I'll make these changes on the next update unless I hear inputs/comments otherwise from the WG.

Thanks,
Ketan

-----Original Message-----
From: tom petch <[email-masked]> 
Sent: 08 July 2021 21:11
To: Ketan Talaulikar (ketant) <[email-masked]>; [email-masked]
Subject: Re: [Idr] I-D Action: draft-ietf-idr-rfc7752bis-07.txt

Hi Tom,

<tp>
Ketan

Tom Petch

Thanks,
Ketan

-----Original Message-----
From: tom petch <[email-masked]>
Sent: 08 July 2021 16:43
To: Ketan Talaulikar (ketant) <[email-masked]>; [email-masked]
Subject: Re: [Idr] I-D Action: draft-ietf-idr-rfc7752bis-07.txt

Hi All,

<tp>
I am confused.

The Abstract says

Thoughts?

Tom Petch

Thanks,
Ketan

-----Original Message-----
From: Idr <[email-masked]> On Behalf Of [email-masked]
Sent: 21 June 2021 21:23
To: [email-masked]
Cc: [email-masked]

Abstract: